package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC光迁通道虚拟适配器
 * 
 * @author ShaolongTan
 */
@Deprecated
@Table("hmc_profile_fibre_adapter")
public class HmcProfileFibreAdapter {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("profile_id")
    private Long profileId;
    @Column("adapter_id")
    private Integer adapterId;
    @Column("connecting_partition_id")
    private Integer connectingPartitionId;
    @Column("connecting_virtual_slot_number")
    private Integer connectingVirtualSlotNumber;
    @Column("connecting_physical_fibre_channel_id")
    private Long connectingPhysicalFibreChannelId;
    @Column("is_required")
    private Boolean isRequired;
    @Column("type")
    private String type;
    @Column("wwpns")
    private String wwpns;
    @Column("is_delete")
    private Boolean isDelete;

    @IgnoreAll
    private String connectingPartitionName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getConnectingPartitionId() {
        return connectingPartitionId;
    }

    public void setConnectingPartitionId(Integer connectingPartitionId) {
        this.connectingPartitionId = connectingPartitionId;
    }

    public Integer getConnectingVirtualSlotNumber() {
        return connectingVirtualSlotNumber;
    }

    public void setConnectingVirtualSlotNumber(Integer connectingVirtualSlotNumber) {
        this.connectingVirtualSlotNumber = connectingVirtualSlotNumber;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getWwpns() {
        return wwpns;
    }

    public void setWwpns(String wwpns) {
        this.wwpns = wwpns;
    }

    public String getConnectingPartitionName() {
        return connectingPartitionName;
    }

    public void setConnectingPartitionName(String connectingPartitionName) {
        this.connectingPartitionName = connectingPartitionName;
    }

    public Long getConnectingPhysicalFibreChannelId() {
        return connectingPhysicalFibreChannelId;
    }

    public void setConnectingPhysicalFibreChannelId(Long connectingPhysicalFibreChannelId) {
        this.connectingPhysicalFibreChannelId = connectingPhysicalFibreChannelId;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean delete) {
        isDelete = delete;
    }
}
